"""
Module definition file for GTSAM
"""
from __future__ import annotations
from builtins import dict as MatchIndicesMap
from builtins import dict as IndexPairSetMap
from builtins import dict as KeyPairDoubleMap
from builtins import list as Pose3Vector
from builtins import list as Pose2Pairs
from builtins import list as SfmMeasurementVector
from builtins import list as SfmCameras
from builtins import list as Rot3Vector
from builtins import list as BinaryMeasurementsPoint3
from builtins import list as Pose3Pairs
from builtins import list as BetweenFactorPose3s
from builtins import list as KeyVector
from builtins import list as Point3Pairs
from builtins import list as BinaryMeasurementsRot3
from builtins import list as IndexPairVector
from builtins import list as SfmTracks
from builtins import list as BetweenFactorPose2s
from builtins import list as KeypointsVector
from builtins import list as Point2Pairs
from builtins import list as BinaryMeasurementsUnit3
from builtins import list as Point2Vector
from builtins import list as SfmTrack2dVector
from gtsam.gtsam import AHRSFactor
from gtsam.gtsam import AcceleratingScenario
from gtsam.gtsam import AlgebraicDecisionTreeKey
from gtsam.gtsam import AssignmentKey
from gtsam.gtsam import BarometricFactor
from gtsam.gtsam import BatchFixedLagSmoother
from gtsam.gtsam import BearingFactor2D
from gtsam.gtsam import BearingFactor3D
from gtsam.gtsam import BearingFactorPose2
from gtsam.gtsam import BearingRange2D
from gtsam.gtsam import BearingRange3D
from gtsam.gtsam import BearingRangeFactor2D
from gtsam.gtsam import BearingRangeFactor3D
from gtsam.gtsam import BearingRangeFactorPose2
from gtsam.gtsam import BearingRangeFactorPose3
from gtsam.gtsam import BearingRangePose2
from gtsam.gtsam import BearingRangePose3
from gtsam.gtsam import BetweenFactorConstantBias
from gtsam.gtsam import BetweenFactorDouble
from gtsam.gtsam import BetweenFactorPoint2
from gtsam.gtsam import BetweenFactorPoint3
from gtsam.gtsam import BetweenFactorPose2
from gtsam.gtsam import BetweenFactorPose3
from gtsam.gtsam import BetweenFactorRot2
from gtsam.gtsam import BetweenFactorRot3
from gtsam.gtsam import BetweenFactorSO3
from gtsam.gtsam import BetweenFactorSO4
from gtsam.gtsam import BetweenFactorSimilarity2
from gtsam.gtsam import BetweenFactorSimilarity3
from gtsam.gtsam import BetweenFactorVector
from gtsam.gtsam import BinaryMeasurementPoint3
from gtsam.gtsam import BinaryMeasurementRot3
from gtsam.gtsam import BinaryMeasurementUnit3
from gtsam.gtsam import BlockJacobiPreconditionerParameters
from gtsam.gtsam import Cal3
from gtsam.gtsam import Cal3Bundler
from gtsam.gtsam import Cal3DS2
from gtsam.gtsam import Cal3DS2_Base
from gtsam.gtsam import Cal3Fisheye
from gtsam.gtsam import Cal3Unified
from gtsam.gtsam import Cal3_S2
from gtsam.gtsam import Cal3_S2Stereo
from gtsam.gtsam import Cal3f
from gtsam.gtsam import CalibratedCamera
from gtsam.gtsam import CameraSetCal3Bundler
from gtsam.gtsam import CameraSetCal3DS2
from gtsam.gtsam import CameraSetCal3Fisheye
from gtsam.gtsam import CameraSetCal3Unified
from gtsam.gtsam import CameraSetCal3_S2
from gtsam.gtsam import CameraSetPinholePoseCal3_S2
from gtsam.gtsam import Chebyshev1Basis
from gtsam.gtsam import Chebyshev2
from gtsam.gtsam import Chebyshev2Basis
from gtsam.gtsam import CombinedImuFactor
from gtsam.gtsam import ComponentDerivativeFactorChebyshev1Basis
from gtsam.gtsam import ComponentDerivativeFactorChebyshev2
from gtsam.gtsam import ComponentDerivativeFactorChebyshev2Basis
from gtsam.gtsam import ComponentDerivativeFactorFourierBasis
from gtsam.gtsam import ConjugateGradientParameters
from gtsam.gtsam import ConstantTwistScenario
from gtsam.gtsam import ConstantVelocityFactor
from gtsam.gtsam import ConvertNoiseModel
from gtsam.gtsam import CustomFactor
from gtsam.gtsam import DSFMapIndexPair
from gtsam.gtsam import DecisionTreeFactor
from gtsam.gtsam import DegeneracyMode
from gtsam.gtsam import DerivativeFactorChebyshev1Basis
from gtsam.gtsam import DerivativeFactorChebyshev2
from gtsam.gtsam import DerivativeFactorChebyshev2Basis
from gtsam.gtsam import DerivativeFactorFourierBasis
from gtsam.gtsam import DiscreteBayesNet
from gtsam.gtsam import DiscreteBayesTree
from gtsam.gtsam import DiscreteBayesTreeClique
from gtsam.gtsam import DiscreteCluster
from gtsam.gtsam import DiscreteConditional
from gtsam.gtsam import DiscreteDistribution
from gtsam.gtsam import DiscreteEliminationTree
from gtsam.gtsam import DiscreteFactor
from gtsam.gtsam import DiscreteFactorGraph
from gtsam.gtsam import DiscreteJunctionTree
from gtsam.gtsam import DiscreteKeys
from gtsam.gtsam import DiscreteLookupDAG
from gtsam.gtsam import DiscreteLookupTable
from gtsam.gtsam import DiscreteMarginals
from gtsam.gtsam import DiscreteSearch
from gtsam.gtsam import DiscreteSearchSolution
from gtsam.gtsam import DiscreteValues
from gtsam.gtsam import DoglegOptimizer
from gtsam.gtsam import DoglegParams
from gtsam.gtsam import DotWriter
from gtsam.gtsam import DummyPreconditionerParameters
from gtsam.gtsam import EdgeKey
from gtsam.gtsam import EliminateDiscrete
from gtsam.gtsam import EliminateForMPE
from gtsam.gtsam import EliminateQR
from gtsam.gtsam import EpipolarTransfer
from gtsam.gtsam import EssentialMatrix
from gtsam.gtsam import EssentialMatrixConstraint
from gtsam.gtsam import EssentialMatrixFactor
from gtsam.gtsam import EssentialMatrixFactor2
from gtsam.gtsam import EssentialMatrixFactor3
from gtsam.gtsam import EssentialMatrixFactor4Cal3Bundler
from gtsam.gtsam import EssentialMatrixFactor4Cal3DS2
from gtsam.gtsam import EssentialMatrixFactor4Cal3Fisheye
from gtsam.gtsam import EssentialMatrixFactor4Cal3Unified
from gtsam.gtsam import EssentialMatrixFactor4Cal3_S2
from gtsam.gtsam import EssentialMatrixFactor4Cal3f
from gtsam.gtsam import EssentialMatrixFactor5Cal3Bundler
from gtsam.gtsam import EssentialMatrixFactor5Cal3DS2
from gtsam.gtsam import EssentialMatrixFactor5Cal3Fisheye
from gtsam.gtsam import EssentialMatrixFactor5Cal3Unified
from gtsam.gtsam import EssentialMatrixFactor5Cal3_S2
from gtsam.gtsam import EssentialMatrixFactor5Cal3f
from gtsam.gtsam import EssentialTransferFactorCal3Bundler
from gtsam.gtsam import EssentialTransferFactorCal3_S2
from gtsam.gtsam import EssentialTransferFactorCal3f
from gtsam.gtsam import EssentialTransferFactorKCal3Bundler
from gtsam.gtsam import EssentialTransferFactorKCal3_S2
from gtsam.gtsam import EssentialTransferFactorKCal3f
from gtsam.gtsam import EvaluationFactorChebyshev1Basis
from gtsam.gtsam import EvaluationFactorChebyshev2
from gtsam.gtsam import EvaluationFactorChebyshev2Basis
from gtsam.gtsam import EvaluationFactorFourierBasis
from gtsam.gtsam import Event
from gtsam.gtsam import ExtendedKalmanFilterConstantBias
from gtsam.gtsam import ExtendedKalmanFilterNavState
from gtsam.gtsam import ExtendedKalmanFilterPoint2
from gtsam.gtsam import ExtendedKalmanFilterPoint3
from gtsam.gtsam import ExtendedKalmanFilterPose2
from gtsam.gtsam import ExtendedKalmanFilterPose3
from gtsam.gtsam import ExtendedKalmanFilterRot2
from gtsam.gtsam import ExtendedKalmanFilterRot3
from gtsam.gtsam import ExtendedKalmanFilterSimilarity2
from gtsam.gtsam import ExtendedKalmanFilterSimilarity3
from gtsam.gtsam import Factor
from gtsam.gtsam import FindKarcherMeanPoint2
from gtsam.gtsam import FindKarcherMeanPoint3
from gtsam.gtsam import FindKarcherMeanPose2
from gtsam.gtsam import FindKarcherMeanPose3
from gtsam.gtsam import FindKarcherMeanRot2
from gtsam.gtsam import FindKarcherMeanRot3
from gtsam.gtsam import FindKarcherMeanSO3
from gtsam.gtsam import FindKarcherMeanSO4
from gtsam.gtsam import FitBasisChebyshev1Basis
from gtsam.gtsam import FitBasisChebyshev2
from gtsam.gtsam import FitBasisChebyshev2Basis
from gtsam.gtsam import FitBasisFourierBasis
from gtsam.gtsam import FixedLagSmoother
from gtsam.gtsam import FixedLagSmootherResult
from gtsam.gtsam import FourierBasis
from gtsam.gtsam import FrobeniusBetweenFactorPose2
from gtsam.gtsam import FrobeniusBetweenFactorPose3
from gtsam.gtsam import FrobeniusBetweenFactorRot2
from gtsam.gtsam import FrobeniusBetweenFactorRot3
from gtsam.gtsam import FrobeniusBetweenFactorSO3
from gtsam.gtsam import FrobeniusBetweenFactorSO4
from gtsam.gtsam import FrobeniusFactorPose2
from gtsam.gtsam import FrobeniusFactorPose3
from gtsam.gtsam import FrobeniusFactorRot2
from gtsam.gtsam import FrobeniusFactorRot3
from gtsam.gtsam import FrobeniusFactorSO3
from gtsam.gtsam import FrobeniusFactorSO4
from gtsam.gtsam import FrobeniusPriorPose2
from gtsam.gtsam import FrobeniusPriorPose3
from gtsam.gtsam import FrobeniusPriorRot2
from gtsam.gtsam import FrobeniusPriorRot3
from gtsam.gtsam import FrobeniusPriorSO3
from gtsam.gtsam import FrobeniusPriorSO4
from gtsam.gtsam import FundamentalMatrix
from gtsam.gtsam import GPSFactor
from gtsam.gtsam import GPSFactor2
from gtsam.gtsam import GPSFactor2Arm
from gtsam.gtsam import GPSFactor2ArmCalib
from gtsam.gtsam import GPSFactorArm
from gtsam.gtsam import GPSFactorArmCalib
from gtsam.gtsam import GaussNewtonOptimizer
from gtsam.gtsam import GaussNewtonParams
from gtsam.gtsam import GaussianBayesNet
from gtsam.gtsam import GaussianBayesTree
from gtsam.gtsam import GaussianBayesTreeClique
from gtsam.gtsam import GaussianConditional
from gtsam.gtsam import GaussianDensity
from gtsam.gtsam import GaussianEliminationTree
from gtsam.gtsam import GaussianFactor
from gtsam.gtsam import GaussianFactorGraph
from gtsam.gtsam import GaussianISAM
from gtsam.gtsam import GeneralSFMFactor2Cal3Bundler
from gtsam.gtsam import GeneralSFMFactor2Cal3DS2
from gtsam.gtsam import GeneralSFMFactor2Cal3Fisheye
from gtsam.gtsam import GeneralSFMFactor2Cal3Unified
from gtsam.gtsam import GeneralSFMFactor2Cal3_S2
from gtsam.gtsam import GeneralSFMFactor2Cal3f
from gtsam.gtsam import GeneralSFMFactorCal3Bundler
from gtsam.gtsam import GeneralSFMFactorCal3DS2
from gtsam.gtsam import GeneralSFMFactorCal3Fisheye
from gtsam.gtsam import GeneralSFMFactorCal3Unified
from gtsam.gtsam import GeneralSFMFactorCal3_S2
from gtsam.gtsam import GeneralSFMFactorPoseCal3Bundler
from gtsam.gtsam import GeneralSFMFactorPoseCal3DS2
from gtsam.gtsam import GeneralSFMFactorPoseCal3Fisheye
from gtsam.gtsam import GeneralSFMFactorPoseCal3Unified
from gtsam.gtsam import GeneralSFMFactorPoseCal3_S2
from gtsam.gtsam import GenericProjectionFactorCal3DS2
from gtsam.gtsam import GenericProjectionFactorCal3Fisheye
from gtsam.gtsam import GenericProjectionFactorCal3Unified
from gtsam.gtsam import GenericProjectionFactorCal3_S2
from gtsam.gtsam import GenericStereoFactor3D
from gtsam.gtsam import GenericValueCal3Bundler
from gtsam.gtsam import GenericValueCal3DS2
from gtsam.gtsam import GenericValueCal3Fisheye
from gtsam.gtsam import GenericValueCal3Unified
from gtsam.gtsam import GenericValueCal3_S2
from gtsam.gtsam import GenericValueCalibratedCamera
from gtsam.gtsam import GenericValueConstantBias
from gtsam.gtsam import GenericValueEssentialMatrix
from gtsam.gtsam import GenericValueMatrix
from gtsam.gtsam import GenericValuePoint2
from gtsam.gtsam import GenericValuePoint3
from gtsam.gtsam import GenericValuePose2
from gtsam.gtsam import GenericValuePose3
from gtsam.gtsam import GenericValueRot2
from gtsam.gtsam import GenericValueRot3
from gtsam.gtsam import GenericValueStereoPoint2
from gtsam.gtsam import GenericValueVector
from gtsam.gtsam import GncGaussNewtonOptimizer
from gtsam.gtsam import GncGaussNewtonParams
from gtsam.gtsam import GncLMOptimizer
from gtsam.gtsam import GncLMParams
from gtsam.gtsam import GncLossType
from gtsam.gtsam import GraphvizFormatting
from gtsam.gtsam import HessianFactor
from gtsam.gtsam import HybridBayesNet
from gtsam.gtsam import HybridBayesTree
from gtsam.gtsam import HybridBayesTreeClique
from gtsam.gtsam import HybridConditional
from gtsam.gtsam import HybridFactor
from gtsam.gtsam import HybridGaussianConditional
from gtsam.gtsam import HybridGaussianFactor
from gtsam.gtsam import HybridGaussianFactorGraph
from gtsam.gtsam import HybridNonlinearFactor
from gtsam.gtsam import HybridNonlinearFactorGraph
from gtsam.gtsam import HybridOrdering
from gtsam.gtsam import HybridSmoother
from gtsam.gtsam import HybridValues
from gtsam.gtsam import ISAM2
from gtsam.gtsam import ISAM2Clique
from gtsam.gtsam import ISAM2DoglegParams
from gtsam.gtsam import ISAM2GaussNewtonParams
from gtsam.gtsam import ISAM2Params
from gtsam.gtsam import ISAM2Result
from gtsam.gtsam import ISAM2ThresholdMap
from gtsam.gtsam import ImuFactor
from gtsam.gtsam import ImuFactor2
from gtsam.gtsam import IncrementalFixedLagSmoother
from gtsam.gtsam import IndexPair
from gtsam.gtsam import IndexPairSetAsArray
from gtsam.gtsam import InitializePose3
from gtsam.gtsam import ItemsView
from gtsam.gtsam import IterativeOptimizationParameters
from gtsam.gtsam import JacobianFactor
from gtsam.gtsam import JacobianVector
from gtsam.gtsam import JointMarginal
from gtsam.gtsam import KalmanFilter
from gtsam.gtsam import KarcherMeanFactorPoint2
from gtsam.gtsam import KarcherMeanFactorPoint3
from gtsam.gtsam import KarcherMeanFactorPose2
from gtsam.gtsam import KarcherMeanFactorPose3
from gtsam.gtsam import KarcherMeanFactorRot2
from gtsam.gtsam import KarcherMeanFactorRot3
from gtsam.gtsam import KarcherMeanFactorSO3
from gtsam.gtsam import KarcherMeanFactorSO4
from gtsam.gtsam import KernelFunctionType
from gtsam.gtsam import KeyGroupMap
from gtsam.gtsam import KeyList
from gtsam.gtsam import KeySet
from gtsam.gtsam import KeysView
from gtsam.gtsam import LabeledSymbol
from gtsam.gtsam import LevenbergMarquardtOptimizer
from gtsam.gtsam import LevenbergMarquardtParams
from gtsam.gtsam import LinearContainerFactor
from gtsam.gtsam import LinearizationMode
from gtsam.gtsam import MFAS
from gtsam.gtsam import MT19937
from gtsam.gtsam import MagFactor
from gtsam.gtsam import MagFactor1
from gtsam.gtsam import MagPoseFactorPose2
from gtsam.gtsam import MagPoseFactorPose3
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev1BasisPose2
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev1BasisPose3
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev1BasisRot2
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev1BasisRot3
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev2BasisPose2
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev2BasisPose3
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev2BasisRot2
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev2BasisRot3
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev2Pose2
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev2Pose3
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev2Rot2
from gtsam.gtsam import ManifoldEvaluationFactorChebyshev2Rot3
from gtsam.gtsam import ManifoldEvaluationFactorFourierBasisPose2
from gtsam.gtsam import ManifoldEvaluationFactorFourierBasisPose3
from gtsam.gtsam import ManifoldEvaluationFactorFourierBasisRot2
from gtsam.gtsam import ManifoldEvaluationFactorFourierBasisRot3
from gtsam.gtsam import Marginals
from gtsam.gtsam import NavState
from gtsam.gtsam import NoiseFormat
from gtsam.gtsam import NoiseModelFactor
from gtsam.gtsam import NonlinearEquality2Cal3_S2
from gtsam.gtsam import NonlinearEquality2CalibratedCamera
from gtsam.gtsam import NonlinearEquality2ConstantBias
from gtsam.gtsam import NonlinearEquality2PinholeCameraCal3Bundler
from gtsam.gtsam import NonlinearEquality2PinholeCameraCal3Fisheye
from gtsam.gtsam import NonlinearEquality2PinholeCameraCal3Unified
from gtsam.gtsam import NonlinearEquality2PinholeCameraCal3_S2
from gtsam.gtsam import NonlinearEquality2Point2
from gtsam.gtsam import NonlinearEquality2Point3
from gtsam.gtsam import NonlinearEquality2Pose2
from gtsam.gtsam import NonlinearEquality2Pose3
from gtsam.gtsam import NonlinearEquality2Rot2
from gtsam.gtsam import NonlinearEquality2Rot3
from gtsam.gtsam import NonlinearEquality2SO3
from gtsam.gtsam import NonlinearEquality2SO4
from gtsam.gtsam import NonlinearEquality2SOn
from gtsam.gtsam import NonlinearEquality2Similarity2
from gtsam.gtsam import NonlinearEquality2Similarity3
from gtsam.gtsam import NonlinearEquality2StereoPoint2
from gtsam.gtsam import NonlinearEqualityCal3_S2
from gtsam.gtsam import NonlinearEqualityCalibratedCamera
from gtsam.gtsam import NonlinearEqualityConstantBias
from gtsam.gtsam import NonlinearEqualityPinholeCameraCal3Bundler
from gtsam.gtsam import NonlinearEqualityPinholeCameraCal3Fisheye
from gtsam.gtsam import NonlinearEqualityPinholeCameraCal3Unified
from gtsam.gtsam import NonlinearEqualityPinholeCameraCal3_S2
from gtsam.gtsam import NonlinearEqualityPoint2
from gtsam.gtsam import NonlinearEqualityPoint3
from gtsam.gtsam import NonlinearEqualityPose2
from gtsam.gtsam import NonlinearEqualityPose3
from gtsam.gtsam import NonlinearEqualityRot2
from gtsam.gtsam import NonlinearEqualityRot3
from gtsam.gtsam import NonlinearEqualitySO3
from gtsam.gtsam import NonlinearEqualitySO4
from gtsam.gtsam import NonlinearEqualitySOn
from gtsam.gtsam import NonlinearEqualitySimilarity2
from gtsam.gtsam import NonlinearEqualitySimilarity3
from gtsam.gtsam import NonlinearEqualityStereoPoint2
from gtsam.gtsam import NonlinearFactor
from gtsam.gtsam import NonlinearFactorGraph
from gtsam.gtsam import NonlinearISAM
from gtsam.gtsam import NonlinearOptimizer
from gtsam.gtsam import NonlinearOptimizerParams
from gtsam.gtsam import Ordering
from gtsam.gtsam import OrientedPlane3
from gtsam.gtsam import OrientedPlane3DirectionPrior
from gtsam.gtsam import OrientedPlane3Factor
from gtsam.gtsam import PCGSolverParameters
from gtsam.gtsam import PinholeCameraCal3Bundler
from gtsam.gtsam import PinholeCameraCal3DS2
from gtsam.gtsam import PinholeCameraCal3Fisheye
from gtsam.gtsam import PinholeCameraCal3Unified
from gtsam.gtsam import PinholeCameraCal3_S2
from gtsam.gtsam import PinholeCameraCal3f
from gtsam.gtsam import PinholePoseCal3Bundler
from gtsam.gtsam import PinholePoseCal3DS2
from gtsam.gtsam import PinholePoseCal3Fisheye
from gtsam.gtsam import PinholePoseCal3Unified
from gtsam.gtsam import PinholePoseCal3_S2
from gtsam.gtsam import PlanarProjectionFactor1
from gtsam.gtsam import PlanarProjectionFactor2
from gtsam.gtsam import PlanarProjectionFactor3
from gtsam.gtsam import Pose2
from gtsam.gtsam import Pose3
from gtsam.gtsam import Pose3AttitudeFactor
from gtsam.gtsam import PoseRotationPrior2D
from gtsam.gtsam import PoseRotationPrior3D
from gtsam.gtsam import PoseTranslationPrior2D
from gtsam.gtsam import PoseTranslationPrior3D
from gtsam.gtsam import PreconditionerParameters
from gtsam.gtsam import PreintegratedAhrsMeasurements
from gtsam.gtsam import PreintegratedCombinedMeasurements
from gtsam.gtsam import PreintegratedImuMeasurements
from gtsam.gtsam import PreintegratedRotation
from gtsam.gtsam import PreintegratedRotationParams
from gtsam.gtsam import PreintegrationCombinedParams
from gtsam.gtsam import PreintegrationParams
from gtsam.gtsam import PrintDiscreteValues
from gtsam.gtsam import PrintKeyList
from gtsam.gtsam import PrintKeySet
from gtsam.gtsam import PrintKeyVector
from gtsam.gtsam import PriorFactorCal3Bundler
from gtsam.gtsam import PriorFactorCal3DS2
from gtsam.gtsam import PriorFactorCal3Fisheye
from gtsam.gtsam import PriorFactorCal3Unified
from gtsam.gtsam import PriorFactorCal3_S2
from gtsam.gtsam import PriorFactorCalibratedCamera
from gtsam.gtsam import PriorFactorConstantBias
from gtsam.gtsam import PriorFactorDouble
from gtsam.gtsam import PriorFactorNavState
from gtsam.gtsam import PriorFactorPinholeCameraCal3Bundler
from gtsam.gtsam import PriorFactorPinholeCameraCal3Fisheye
from gtsam.gtsam import PriorFactorPinholeCameraCal3Unified
from gtsam.gtsam import PriorFactorPinholeCameraCal3_S2
from gtsam.gtsam import PriorFactorPoint2
from gtsam.gtsam import PriorFactorPoint3
from gtsam.gtsam import PriorFactorPose2
from gtsam.gtsam import PriorFactorPose3
from gtsam.gtsam import PriorFactorRot2
from gtsam.gtsam import PriorFactorRot3
from gtsam.gtsam import PriorFactorSO3
from gtsam.gtsam import PriorFactorSO4
from gtsam.gtsam import PriorFactorSOn
from gtsam.gtsam import PriorFactorSimilarity2
from gtsam.gtsam import PriorFactorSimilarity3
from gtsam.gtsam import PriorFactorStereoPoint2
from gtsam.gtsam import PriorFactorUnit3
from gtsam.gtsam import PriorFactorVector
from gtsam.gtsam import Quaternion
from gtsam.gtsam import RangeFactor2
from gtsam.gtsam import RangeFactor2D
from gtsam.gtsam import RangeFactor3
from gtsam.gtsam import RangeFactor3D
from gtsam.gtsam import RangeFactorCalibratedCamera
from gtsam.gtsam import RangeFactorCalibratedCameraPoint
from gtsam.gtsam import RangeFactorPose2
from gtsam.gtsam import RangeFactorPose3
from gtsam.gtsam import RangeFactorSimpleCamera
from gtsam.gtsam import RangeFactorSimpleCameraPoint
from gtsam.gtsam import RangeFactorWithTransform2D
from gtsam.gtsam import RangeFactorWithTransform3D
from gtsam.gtsam import RangeFactorWithTransformPose2
from gtsam.gtsam import RangeFactorWithTransformPose3
from gtsam.gtsam import RedirectCout
from gtsam.gtsam import ReferenceFrameFactorPoint3Pose3
from gtsam.gtsam import Rot2
from gtsam.gtsam import Rot3
from gtsam.gtsam import Rot3AttitudeFactor
from gtsam.gtsam import RotateDirectionsFactor
from gtsam.gtsam import RotateFactor
from gtsam.gtsam import SO3
from gtsam.gtsam import SO4
from gtsam.gtsam import SOn
from gtsam.gtsam import Sampler
from gtsam.gtsam import Scenario
from gtsam.gtsam import ScenarioRunner
from gtsam.gtsam import SfmData
from gtsam.gtsam import SfmTrack
from gtsam.gtsam import SfmTrack2d
from gtsam.gtsam import ShonanAveraging2
from gtsam.gtsam import ShonanAveraging3
from gtsam.gtsam import ShonanAveragingParameters2
from gtsam.gtsam import ShonanAveragingParameters3
from gtsam.gtsam import ShonanFactor3
from gtsam.gtsam import Similarity2
from gtsam.gtsam import Similarity3
from gtsam.gtsam import SimpleFundamentalMatrix
from gtsam.gtsam import SmartFactorBasePinholeCameraCal3Bundler
from gtsam.gtsam import SmartFactorBasePinholeCameraCal3DS2
from gtsam.gtsam import SmartFactorBasePinholeCameraCal3Fisheye
from gtsam.gtsam import SmartFactorBasePinholeCameraCal3Unified
from gtsam.gtsam import SmartFactorBasePinholeCameraCal3_S2
from gtsam.gtsam import SmartFactorBasePinholePoseCal3Bundler
from gtsam.gtsam import SmartFactorBasePinholePoseCal3DS2
from gtsam.gtsam import SmartFactorBasePinholePoseCal3Fisheye
from gtsam.gtsam import SmartFactorBasePinholePoseCal3Unified
from gtsam.gtsam import SmartFactorBasePinholePoseCal3_S2
from gtsam.gtsam import SmartProjectionFactorPinholeCameraCal3Bundler
from gtsam.gtsam import SmartProjectionFactorPinholeCameraCal3DS2
from gtsam.gtsam import SmartProjectionFactorPinholeCameraCal3Fisheye
from gtsam.gtsam import SmartProjectionFactorPinholeCameraCal3Unified
from gtsam.gtsam import SmartProjectionFactorPinholeCameraCal3_S2
from gtsam.gtsam import SmartProjectionFactorPinholePoseCal3Bundler
from gtsam.gtsam import SmartProjectionFactorPinholePoseCal3DS2
from gtsam.gtsam import SmartProjectionFactorPinholePoseCal3Fisheye
from gtsam.gtsam import SmartProjectionFactorPinholePoseCal3Unified
from gtsam.gtsam import SmartProjectionFactorPinholePoseCal3_S2
from gtsam.gtsam import SmartProjectionParams
from gtsam.gtsam import SmartProjectionPoseFactorCal3Bundler
from gtsam.gtsam import SmartProjectionPoseFactorCal3DS2
from gtsam.gtsam import SmartProjectionPoseFactorCal3Fisheye
from gtsam.gtsam import SmartProjectionPoseFactorCal3Unified
from gtsam.gtsam import SmartProjectionPoseFactorCal3_S2
from gtsam.gtsam import SmartProjectionRigFactorPinholePoseCal3Bundler
from gtsam.gtsam import SmartProjectionRigFactorPinholePoseCal3DS2
from gtsam.gtsam import SmartProjectionRigFactorPinholePoseCal3Fisheye
from gtsam.gtsam import SmartProjectionRigFactorPinholePoseCal3Unified
from gtsam.gtsam import SmartProjectionRigFactorPinholePoseCal3_S2
from gtsam.gtsam import StereoCamera
from gtsam.gtsam import StereoPoint2
from gtsam.gtsam import SubgraphSolver
from gtsam.gtsam import SubgraphSolverParameters
from gtsam.gtsam import Symbol
from gtsam.gtsam import SymbolicBayesNet
from gtsam.gtsam import SymbolicBayesTree
from gtsam.gtsam import SymbolicBayesTreeClique
from gtsam.gtsam import SymbolicCluster
from gtsam.gtsam import SymbolicConditional
from gtsam.gtsam import SymbolicEliminationTree
from gtsam.gtsam import SymbolicFactor
from gtsam.gtsam import SymbolicFactorGraph
from gtsam.gtsam import SymbolicJunctionTree
from gtsam.gtsam import TableDistribution
from gtsam.gtsam import TableFactor
from gtsam.gtsam import TransferFactorFundamentalMatrix
from gtsam.gtsam import TransferFactorSimpleFundamentalMatrix
from gtsam.gtsam import TranslationRecovery
from gtsam.gtsam import TriangulationFactorCal3Bundler
from gtsam.gtsam import TriangulationFactorCal3DS2
from gtsam.gtsam import TriangulationFactorCal3Fisheye
from gtsam.gtsam import TriangulationFactorCal3Unified
from gtsam.gtsam import TriangulationFactorCal3_S2
from gtsam.gtsam import TriangulationFactorPoseCal3Bundler
from gtsam.gtsam import TriangulationFactorPoseCal3DS2
from gtsam.gtsam import TriangulationFactorPoseCal3Fisheye
from gtsam.gtsam import TriangulationFactorPoseCal3Unified
from gtsam.gtsam import TriangulationFactorPoseCal3_S2
from gtsam.gtsam import TriangulationParameters
from gtsam.gtsam import TriangulationResult
from gtsam.gtsam import Unit3
from gtsam.gtsam import Value
from gtsam.gtsam import Values
from gtsam.gtsam import ValuesView
from gtsam.gtsam import VariableIndex
from gtsam.gtsam import VectorComponentFactorChebyshev1Basis
from gtsam.gtsam import VectorComponentFactorChebyshev2
from gtsam.gtsam import VectorComponentFactorChebyshev2Basis
from gtsam.gtsam import VectorComponentFactorFourierBasis
from gtsam.gtsam import VectorDerivativeFactorChebyshev1Basis
from gtsam.gtsam import VectorDerivativeFactorChebyshev2
from gtsam.gtsam import VectorDerivativeFactorChebyshev2Basis
from gtsam.gtsam import VectorDerivativeFactorFourierBasis
from gtsam.gtsam import VectorEvaluationFactorChebyshev1Basis
from gtsam.gtsam import VectorEvaluationFactorChebyshev2
from gtsam.gtsam import VectorEvaluationFactorChebyshev2Basis
from gtsam.gtsam import VectorEvaluationFactorFourierBasis
from gtsam.gtsam import VectorValues
from gtsam.gtsam import cartesianProduct
from gtsam.gtsam import checkConvergence
from gtsam.gtsam import gtsfm
from gtsam.gtsam import html
from gtsam.gtsam import imuBias
from gtsam.gtsam import initialCamerasAndPointsEstimate
from gtsam.gtsam import initialCamerasEstimate
from gtsam.gtsam import isDebugVersion
from gtsam.gtsam import lago
from gtsam.gtsam import linear_independent
from gtsam.gtsam import load2D
from gtsam.gtsam import load3D
from gtsam.gtsam import markdown
from gtsam.gtsam import mrsymbol
from gtsam.gtsam import mrsymbolChr
from gtsam.gtsam import mrsymbolIndex
from gtsam.gtsam import mrsymbolLabel
from gtsam.gtsam import noiseModel
from gtsam.gtsam import parse2DFactors
from gtsam.gtsam import parse3DFactors
from gtsam.gtsam import readBal
from gtsam.gtsam import readG2o
from gtsam.gtsam import save2D
from gtsam.gtsam import so3
from gtsam.gtsam import symbol
from gtsam.gtsam import symbolChr
from gtsam.gtsam import symbolIndex
from gtsam.gtsam import symbol_shorthand
from gtsam.gtsam import triangulateNonlinear
from gtsam.gtsam import triangulatePoint3
from gtsam.gtsam import triangulateSafe
from gtsam.gtsam import utilities
from gtsam.gtsam import writeBAL
from gtsam.gtsam import writeG2o
from gtsam.utils import findExampleDataFile
import sys as sys
from . import gtsam
from . import utils
__all__ = ['AHRSFactor', 'AcceleratingScenario', 'AlgebraicDecisionTreeKey', 'AssignmentKey', 'BarometricFactor', 'BatchFixedLagSmoother', 'BearingFactor2D', 'BearingFactor3D', 'BearingFactorPose2', 'BearingRange2D', 'BearingRange3D', 'BearingRangeFactor2D', 'BearingRangeFactor3D', 'BearingRangeFactorPose2', 'BearingRangeFactorPose3', 'BearingRangePose2', 'BearingRangePose3', 'BetweenFactorConstantBias', 'BetweenFactorDouble', 'BetweenFactorPoint2', 'BetweenFactorPoint3', 'BetweenFactorPose2', 'BetweenFactorPose2s', 'BetweenFactorPose3', 'BetweenFactorPose3s', 'BetweenFactorRot2', 'BetweenFactorRot3', 'BetweenFactorSO3', 'BetweenFactorSO4', 'BetweenFactorSimilarity2', 'BetweenFactorSimilarity3', 'BetweenFactorVector', 'BinaryMeasurementPoint3', 'BinaryMeasurementRot3', 'BinaryMeasurementUnit3', 'BinaryMeasurementsPoint3', 'BinaryMeasurementsRot3', 'BinaryMeasurementsUnit3', 'BlockJacobiPreconditionerParameters', 'Cal3', 'Cal3Bundler', 'Cal3DS2', 'Cal3DS2_Base', 'Cal3Fisheye', 'Cal3Unified', 'Cal3_S2', 'Cal3_S2Stereo', 'Cal3f', 'CalibratedCamera', 'CameraSetCal3Bundler', 'CameraSetCal3DS2', 'CameraSetCal3Fisheye', 'CameraSetCal3Unified', 'CameraSetCal3_S2', 'CameraSetPinholePoseCal3_S2', 'Chebyshev1Basis', 'Chebyshev2', 'Chebyshev2Basis', 'CombinedImuFactor', 'ComponentDerivativeFactorChebyshev1Basis', 'ComponentDerivativeFactorChebyshev2', 'ComponentDerivativeFactorChebyshev2Basis', 'ComponentDerivativeFactorFourierBasis', 'ConjugateGradientParameters', 'ConstantTwistScenario', 'ConstantVelocityFactor', 'ConvertNoiseModel', 'CustomFactor', 'DSFMapIndexPair', 'DecisionTreeFactor', 'DegeneracyMode', 'DerivativeFactorChebyshev1Basis', 'DerivativeFactorChebyshev2', 'DerivativeFactorChebyshev2Basis', 'DerivativeFactorFourierBasis', 'DiscreteBayesNet', 'DiscreteBayesTree', 'DiscreteBayesTreeClique', 'DiscreteCluster', 'DiscreteConditional', 'DiscreteDistribution', 'DiscreteEliminationTree', 'DiscreteFactor', 'DiscreteFactorGraph', 'DiscreteJunctionTree', 'DiscreteKeys', 'DiscreteLookupDAG', 'DiscreteLookupTable', 'DiscreteMarginals', 'DiscreteSearch', 'DiscreteSearchSolution', 'DiscreteValues', 'DoglegOptimizer', 'DoglegParams', 'DotWriter', 'DummyPreconditionerParameters', 'EdgeKey', 'EliminateDiscrete', 'EliminateForMPE', 'EliminateQR', 'EpipolarTransfer', 'EssentialMatrix', 'EssentialMatrixConstraint', 'EssentialMatrixFactor', 'EssentialMatrixFactor2', 'EssentialMatrixFactor3', 'EssentialMatrixFactor4Cal3Bundler', 'EssentialMatrixFactor4Cal3DS2', 'EssentialMatrixFactor4Cal3Fisheye', 'EssentialMatrixFactor4Cal3Unified', 'EssentialMatrixFactor4Cal3_S2', 'EssentialMatrixFactor4Cal3f', 'EssentialMatrixFactor5Cal3Bundler', 'EssentialMatrixFactor5Cal3DS2', 'EssentialMatrixFactor5Cal3Fisheye', 'EssentialMatrixFactor5Cal3Unified', 'EssentialMatrixFactor5Cal3_S2', 'EssentialMatrixFactor5Cal3f', 'EssentialTransferFactorCal3Bundler', 'EssentialTransferFactorCal3_S2', 'EssentialTransferFactorCal3f', 'EssentialTransferFactorKCal3Bundler', 'EssentialTransferFactorKCal3_S2', 'EssentialTransferFactorKCal3f', 'EvaluationFactorChebyshev1Basis', 'EvaluationFactorChebyshev2', 'EvaluationFactorChebyshev2Basis', 'EvaluationFactorFourierBasis', 'Event', 'ExtendedKalmanFilterConstantBias', 'ExtendedKalmanFilterNavState', 'ExtendedKalmanFilterPoint2', 'ExtendedKalmanFilterPoint3', 'ExtendedKalmanFilterPose2', 'ExtendedKalmanFilterPose3', 'ExtendedKalmanFilterRot2', 'ExtendedKalmanFilterRot3', 'ExtendedKalmanFilterSimilarity2', 'ExtendedKalmanFilterSimilarity3', 'Factor', 'FindKarcherMeanPoint2', 'FindKarcherMeanPoint3', 'FindKarcherMeanPose2', 'FindKarcherMeanPose3', 'FindKarcherMeanRot2', 'FindKarcherMeanRot3', 'FindKarcherMeanSO3', 'FindKarcherMeanSO4', 'FitBasisChebyshev1Basis', 'FitBasisChebyshev2', 'FitBasisChebyshev2Basis', 'FitBasisFourierBasis', 'FixedLagSmoother', 'FixedLagSmootherKeyTimestampMap', 'FixedLagSmootherResult', 'FourierBasis', 'FrobeniusBetweenFactorPose2', 'FrobeniusBetweenFactorPose3', 'FrobeniusBetweenFactorRot2', 'FrobeniusBetweenFactorRot3', 'FrobeniusBetweenFactorSO3', 'FrobeniusBetweenFactorSO4', 'FrobeniusFactorPose2', 'FrobeniusFactorPose3', 'FrobeniusFactorRot2', 'FrobeniusFactorRot3', 'FrobeniusFactorSO3', 'FrobeniusFactorSO4', 'FrobeniusPriorPose2', 'FrobeniusPriorPose3', 'FrobeniusPriorRot2', 'FrobeniusPriorRot3', 'FrobeniusPriorSO3', 'FrobeniusPriorSO4', 'FundamentalMatrix', 'GPSFactor', 'GPSFactor2', 'GPSFactor2Arm', 'GPSFactor2ArmCalib', 'GPSFactorArm', 'GPSFactorArmCalib', 'GaussNewtonOptimizer', 'GaussNewtonParams', 'GaussianBayesNet', 'GaussianBayesTree', 'GaussianBayesTreeClique', 'GaussianConditional', 'GaussianDensity', 'GaussianEliminationTree', 'GaussianFactor', 'GaussianFactorGraph', 'GaussianISAM', 'GeneralSFMFactor2Cal3Bundler', 'GeneralSFMFactor2Cal3DS2', 'GeneralSFMFactor2Cal3Fisheye', 'GeneralSFMFactor2Cal3Unified', 'GeneralSFMFactor2Cal3_S2', 'GeneralSFMFactor2Cal3f', 'GeneralSFMFactorCal3Bundler', 'GeneralSFMFactorCal3DS2', 'GeneralSFMFactorCal3Fisheye', 'GeneralSFMFactorCal3Unified', 'GeneralSFMFactorCal3_S2', 'GeneralSFMFactorPoseCal3Bundler', 'GeneralSFMFactorPoseCal3DS2', 'GeneralSFMFactorPoseCal3Fisheye', 'GeneralSFMFactorPoseCal3Unified', 'GeneralSFMFactorPoseCal3_S2', 'GenericProjectionFactorCal3DS2', 'GenericProjectionFactorCal3Fisheye', 'GenericProjectionFactorCal3Unified', 'GenericProjectionFactorCal3_S2', 'GenericStereoFactor3D', 'GenericValueCal3Bundler', 'GenericValueCal3DS2', 'GenericValueCal3Fisheye', 'GenericValueCal3Unified', 'GenericValueCal3_S2', 'GenericValueCalibratedCamera', 'GenericValueConstantBias', 'GenericValueEssentialMatrix', 'GenericValueMatrix', 'GenericValuePoint2', 'GenericValuePoint3', 'GenericValuePose2', 'GenericValuePose3', 'GenericValueRot2', 'GenericValueRot3', 'GenericValueStereoPoint2', 'GenericValueVector', 'GncGaussNewtonOptimizer', 'GncGaussNewtonParams', 'GncLMOptimizer', 'GncLMParams', 'GncLossType', 'GraphvizFormatting', 'HessianFactor', 'HybridBayesNet', 'HybridBayesTree', 'HybridBayesTreeClique', 'HybridConditional', 'HybridFactor', 'HybridGaussianConditional', 'HybridGaussianFactor', 'HybridGaussianFactorGraph', 'HybridNonlinearFactor', 'HybridNonlinearFactorGraph', 'HybridOrdering', 'HybridSmoother', 'HybridValues', 'ISAM2', 'ISAM2Clique', 'ISAM2DoglegParams', 'ISAM2GaussNewtonParams', 'ISAM2Params', 'ISAM2Result', 'ISAM2ThresholdMap', 'ImuFactor', 'ImuFactor2', 'IncrementalFixedLagSmoother', 'IndexPair', 'IndexPairSetAsArray', 'IndexPairSetMap', 'IndexPairVector', 'InitializePose3', 'ItemsView', 'IterativeOptimizationParameters', 'JacobianFactor', 'JacobianVector', 'JointMarginal', 'KalmanFilter', 'KarcherMeanFactorPoint2', 'KarcherMeanFactorPoint3', 'KarcherMeanFactorPose2', 'KarcherMeanFactorPose3', 'KarcherMeanFactorRot2', 'KarcherMeanFactorRot3', 'KarcherMeanFactorSO3', 'KarcherMeanFactorSO4', 'KernelFunctionType', 'KeyGroupMap', 'KeyList', 'KeyPairDoubleMap', 'KeySet', 'KeyVector', 'KeypointsVector', 'KeysView', 'LabeledSymbol', 'LevenbergMarquardtOptimizer', 'LevenbergMarquardtParams', 'LinearContainerFactor', 'LinearizationMode', 'MFAS', 'MT19937', 'MagFactor', 'MagFactor1', 'MagPoseFactorPose2', 'MagPoseFactorPose3', 'ManifoldEvaluationFactorChebyshev1BasisPose2', 'ManifoldEvaluationFactorChebyshev1BasisPose3', 'ManifoldEvaluationFactorChebyshev1BasisRot2', 'ManifoldEvaluationFactorChebyshev1BasisRot3', 'ManifoldEvaluationFactorChebyshev2BasisPose2', 'ManifoldEvaluationFactorChebyshev2BasisPose3', 'ManifoldEvaluationFactorChebyshev2BasisRot2', 'ManifoldEvaluationFactorChebyshev2BasisRot3', 'ManifoldEvaluationFactorChebyshev2Pose2', 'ManifoldEvaluationFactorChebyshev2Pose3', 'ManifoldEvaluationFactorChebyshev2Rot2', 'ManifoldEvaluationFactorChebyshev2Rot3', 'ManifoldEvaluationFactorFourierBasisPose2', 'ManifoldEvaluationFactorFourierBasisPose3', 'ManifoldEvaluationFactorFourierBasisRot2', 'ManifoldEvaluationFactorFourierBasisRot3', 'Marginals', 'MatchIndicesMap', 'NavState', 'NoiseFormat', 'NoiseModelFactor', 'NonlinearEquality2Cal3_S2', 'NonlinearEquality2CalibratedCamera', 'NonlinearEquality2ConstantBias', 'NonlinearEquality2PinholeCameraCal3Bundler', 'NonlinearEquality2PinholeCameraCal3Fisheye', 'NonlinearEquality2PinholeCameraCal3Unified', 'NonlinearEquality2PinholeCameraCal3_S2', 'NonlinearEquality2Point2', 'NonlinearEquality2Point3', 'NonlinearEquality2Pose2', 'NonlinearEquality2Pose3', 'NonlinearEquality2Rot2', 'NonlinearEquality2Rot3', 'NonlinearEquality2SO3', 'NonlinearEquality2SO4', 'NonlinearEquality2SOn', 'NonlinearEquality2Similarity2', 'NonlinearEquality2Similarity3', 'NonlinearEquality2StereoPoint2', 'NonlinearEqualityCal3_S2', 'NonlinearEqualityCalibratedCamera', 'NonlinearEqualityConstantBias', 'NonlinearEqualityPinholeCameraCal3Bundler', 'NonlinearEqualityPinholeCameraCal3Fisheye', 'NonlinearEqualityPinholeCameraCal3Unified', 'NonlinearEqualityPinholeCameraCal3_S2', 'NonlinearEqualityPoint2', 'NonlinearEqualityPoint3', 'NonlinearEqualityPose2', 'NonlinearEqualityPose3', 'NonlinearEqualityRot2', 'NonlinearEqualityRot3', 'NonlinearEqualitySO3', 'NonlinearEqualitySO4', 'NonlinearEqualitySOn', 'NonlinearEqualitySimilarity2', 'NonlinearEqualitySimilarity3', 'NonlinearEqualityStereoPoint2', 'NonlinearFactor', 'NonlinearFactorGraph', 'NonlinearISAM', 'NonlinearOptimizer', 'NonlinearOptimizerParams', 'Ordering', 'OrientedPlane3', 'OrientedPlane3DirectionPrior', 'OrientedPlane3Factor', 'PCGSolverParameters', 'PinholeCameraCal3Bundler', 'PinholeCameraCal3DS2', 'PinholeCameraCal3Fisheye', 'PinholeCameraCal3Unified', 'PinholeCameraCal3_S2', 'PinholeCameraCal3f', 'PinholePoseCal3Bundler', 'PinholePoseCal3DS2', 'PinholePoseCal3Fisheye', 'PinholePoseCal3Unified', 'PinholePoseCal3_S2', 'PlanarProjectionFactor1', 'PlanarProjectionFactor2', 'PlanarProjectionFactor3', 'Point2', 'Point2Pairs', 'Point2Vector', 'Point3', 'Point3Pairs', 'Pose2', 'Pose2Pairs', 'Pose3', 'Pose3AttitudeFactor', 'Pose3Pairs', 'Pose3Vector', 'PoseRotationPrior2D', 'PoseRotationPrior3D', 'PoseTranslationPrior2D', 'PoseTranslationPrior3D', 'PreconditionerParameters', 'PreintegratedAhrsMeasurements', 'PreintegratedCombinedMeasurements', 'PreintegratedImuMeasurements', 'PreintegratedRotation', 'PreintegratedRotationParams', 'PreintegrationCombinedParams', 'PreintegrationParams', 'PrintDiscreteValues', 'PrintKeyList', 'PrintKeySet', 'PrintKeyVector', 'PriorFactorCal3Bundler', 'PriorFactorCal3DS2', 'PriorFactorCal3Fisheye', 'PriorFactorCal3Unified', 'PriorFactorCal3_S2', 'PriorFactorCalibratedCamera', 'PriorFactorConstantBias', 'PriorFactorDouble', 'PriorFactorNavState', 'PriorFactorPinholeCameraCal3Bundler', 'PriorFactorPinholeCameraCal3Fisheye', 'PriorFactorPinholeCameraCal3Unified', 'PriorFactorPinholeCameraCal3_S2', 'PriorFactorPoint2', 'PriorFactorPoint3', 'PriorFactorPose2', 'PriorFactorPose3', 'PriorFactorRot2', 'PriorFactorRot3', 'PriorFactorSO3', 'PriorFactorSO4', 'PriorFactorSOn', 'PriorFactorSimilarity2', 'PriorFactorSimilarity3', 'PriorFactorStereoPoint2', 'PriorFactorUnit3', 'PriorFactorVector', 'Quaternion', 'RangeFactor2', 'RangeFactor2D', 'RangeFactor3', 'RangeFactor3D', 'RangeFactorCalibratedCamera', 'RangeFactorCalibratedCameraPoint', 'RangeFactorPose2', 'RangeFactorPose3', 'RangeFactorSimpleCamera', 'RangeFactorSimpleCameraPoint', 'RangeFactorWithTransform2D', 'RangeFactorWithTransform3D', 'RangeFactorWithTransformPose2', 'RangeFactorWithTransformPose3', 'RedirectCout', 'ReferenceFrameFactorPoint3Pose3', 'Rot2', 'Rot3', 'Rot3AttitudeFactor', 'Rot3Vector', 'RotateDirectionsFactor', 'RotateFactor', 'SO3', 'SO4', 'SOn', 'Sampler', 'Scenario', 'ScenarioRunner', 'SfmCameras', 'SfmData', 'SfmMeasurementVector', 'SfmTrack', 'SfmTrack2d', 'SfmTrack2dVector', 'SfmTracks', 'ShonanAveraging2', 'ShonanAveraging3', 'ShonanAveragingParameters2', 'ShonanAveragingParameters3', 'ShonanFactor3', 'Similarity2', 'Similarity3', 'SimpleFundamentalMatrix', 'SmartFactorBasePinholeCameraCal3Bundler', 'SmartFactorBasePinholeCameraCal3DS2', 'SmartFactorBasePinholeCameraCal3Fisheye', 'SmartFactorBasePinholeCameraCal3Unified', 'SmartFactorBasePinholeCameraCal3_S2', 'SmartFactorBasePinholePoseCal3Bundler', 'SmartFactorBasePinholePoseCal3DS2', 'SmartFactorBasePinholePoseCal3Fisheye', 'SmartFactorBasePinholePoseCal3Unified', 'SmartFactorBasePinholePoseCal3_S2', 'SmartProjectionFactorPinholeCameraCal3Bundler', 'SmartProjectionFactorPinholeCameraCal3DS2', 'SmartProjectionFactorPinholeCameraCal3Fisheye', 'SmartProjectionFactorPinholeCameraCal3Unified', 'SmartProjectionFactorPinholeCameraCal3_S2', 'SmartProjectionFactorPinholePoseCal3Bundler', 'SmartProjectionFactorPinholePoseCal3DS2', 'SmartProjectionFactorPinholePoseCal3Fisheye', 'SmartProjectionFactorPinholePoseCal3Unified', 'SmartProjectionFactorPinholePoseCal3_S2', 'SmartProjectionParams', 'SmartProjectionPoseFactorCal3Bundler', 'SmartProjectionPoseFactorCal3DS2', 'SmartProjectionPoseFactorCal3Fisheye', 'SmartProjectionPoseFactorCal3Unified', 'SmartProjectionPoseFactorCal3_S2', 'SmartProjectionRigFactorPinholePoseCal3Bundler', 'SmartProjectionRigFactorPinholePoseCal3DS2', 'SmartProjectionRigFactorPinholePoseCal3Fisheye', 'SmartProjectionRigFactorPinholePoseCal3Unified', 'SmartProjectionRigFactorPinholePoseCal3_S2', 'StereoCamera', 'StereoPoint2', 'SubgraphSolver', 'SubgraphSolverParameters', 'Symbol', 'SymbolicBayesNet', 'SymbolicBayesTree', 'SymbolicBayesTreeClique', 'SymbolicCluster', 'SymbolicConditional', 'SymbolicEliminationTree', 'SymbolicFactor', 'SymbolicFactorGraph', 'SymbolicJunctionTree', 'TableDistribution', 'TableFactor', 'TransferFactorFundamentalMatrix', 'TransferFactorSimpleFundamentalMatrix', 'TranslationRecovery', 'TriangulationFactorCal3Bundler', 'TriangulationFactorCal3DS2', 'TriangulationFactorCal3Fisheye', 'TriangulationFactorCal3Unified', 'TriangulationFactorCal3_S2', 'TriangulationFactorPoseCal3Bundler', 'TriangulationFactorPoseCal3DS2', 'TriangulationFactorPoseCal3Fisheye', 'TriangulationFactorPoseCal3Unified', 'TriangulationFactorPoseCal3_S2', 'TriangulationParameters', 'TriangulationResult', 'Unit3', 'Value', 'Values', 'ValuesView', 'VariableIndex', 'VectorComponentFactorChebyshev1Basis', 'VectorComponentFactorChebyshev2', 'VectorComponentFactorChebyshev2Basis', 'VectorComponentFactorFourierBasis', 'VectorDerivativeFactorChebyshev1Basis', 'VectorDerivativeFactorChebyshev2', 'VectorDerivativeFactorChebyshev2Basis', 'VectorDerivativeFactorFourierBasis', 'VectorEvaluationFactorChebyshev1Basis', 'VectorEvaluationFactorChebyshev2', 'VectorEvaluationFactorChebyshev2Basis', 'VectorEvaluationFactorFourierBasis', 'VectorValues', 'cartesianProduct', 'checkConvergence', 'findExampleDataFile', 'gtsam', 'gtsfm', 'html', 'imuBias', 'initialCamerasAndPointsEstimate', 'initialCamerasEstimate', 'isDebugVersion', 'lago', 'linear_independent', 'load2D', 'load3D', 'markdown', 'mrsymbol', 'mrsymbolChr', 'mrsymbolIndex', 'mrsymbolLabel', 'noiseModel', 'parse2DFactors', 'parse3DFactors', 'readBal', 'readG2o', 'save2D', 'so3', 'symbol', 'symbolChr', 'symbolIndex', 'symbol_shorthand', 'sys', 'triangulateNonlinear', 'triangulatePoint3', 'triangulateSafe', 'utilities', 'utils', 'writeBAL', 'writeG2o']
class FixedLagSmootherKeyTimestampMap(dict):
    """
    Class to provide backwards compatibility
    """
    def insert(self, key_value):
        ...
def Point2(x = ..., y = ...):
    """
    Shim for the deleted Point2 type.
    """
def Point3(x = ..., y = ..., z = ...):
    """
    Shim for the deleted Point3 type.
    """
def _init():
    """
    This function is to add shims for the long-gone Point2 and Point3 types
    """
